Geography columns not seen with "only look in geometry_columns" off

2012-01-11 09:44 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:1.7.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14648

Description

This is a funny one: 1.7.4 fails to see tables with a geography column when "only look in geometry_columns" is off.

It sees it just fine when the option is on, and can also load it!

History

#1 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-17 01:25 PM - Sandro Santilli

- Resolution set to fixed

- Assignee set to Jürgen Fischer

In 1.8.0 the behavior is that you get a "Detecting..." label in the "type" column of the layer selection dialogue.

It is fixed in trunk as of fa845883f0bdeb9d218a2dfc91f900db13470dab (but it's been fixed for a long time, dunno by which commit exactly)

#3 - 2012-10-31 02:52 PM - Sandro Santilli

- Status changed from Open to Closed

I can't reproduce anymore with 1.8.0, assuming fixed
